Compile ministaip for dm500 old version.

Support forum for minisatip
Post Reply
herosam
Posts: 8
Joined: Fri Nov 10, 2017 6:00 pm

Compile ministaip for dm500 old version.

Post by herosam » Thu Sep 05, 2019 11:44 am

I have successfully compiled and run old version for dm500-C
use another branch
htt ps://github.com/jmendeth/minisatip

dm500 adapter path is /dev/dvb/card0

I edited dvb.c to modify the adapter path
Edited dvb.c file:
htt ps://pastebin.com/Ny4Z4hdA

but dvbapi version of dm500 is too low, so adapter cannot be recognized correctly.
logs: https://pastebin.com/aQDrpaUh

Can you help with the changes, can run in low version dvbapi device?

Thank you.

atari
Posts: 8
Joined: Wed Aug 21, 2019 3:17 pm

Re: Compile ministaip for dm500 old version.

Post by atari » Fri Sep 06, 2019 3:21 pm

i find some code for vtuner suporting old kernel 2.6 & dvbapi<v3 if can help
https://lwn.net/Articles/448472/

cata
Site Admin
Posts: 567
Joined: Tue May 12, 2015 1:01 am

Re: Compile ministaip for dm500 old version.

Post by cata » Sat Sep 07, 2019 4:49 pm

You can try forcing the delivery system (-Y 0:dvbs2) and see if that works.

Post Reply